Summary:        Perl interface to OpenSSL for Bignum
Name:           perl-Crypt-OpenSSL-Bignum
Version:        0.09
Release:        4%{?dist}
License:        GPL+ or Artistic 
URL:            https://metacpan.org/release/Crypt-OpenSSL-Bignum
Source0:        https://cpan.metacpan.org/authors/id/K/KM/KMX/Crypt-OpenSSL-Bignum-%{version}.tar.gz

BuildRequires: perl(Test) perl(vars)
BuildRequires: perl(Carp) perl(Config) perl(DynaLoader) perl(ExtUtils::MakeMaker) perl(strict)
BuildRequires: openssl-devel perl-devel perl-generators perl-interpreter perl(base)
BuildRequires: coreutils findutils gcc make openssl


%description
Crypt::OpenSSL::Bignum provides access to OpenSSL multiprecision integer
arithmetic libraries. Presently, many though not all of the arithmetic
operations that OpenSSL provides are exposed to perl. In addition, this
module can be used to provide access to bignum values produced by other
OpenSSL modules, such as key parameters from Crypt::OpenSSL::RSA.

%prep
%autosetup -n Crypt-OpenSSL-Bignum-%{version}

chmod a-x LICENSE README Changes

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install

find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-4
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.09-3
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.09-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 cunshunxia <cunshunxia@tencent.com> - 0.09-1
- initial build
